Read an accessible Triage change
curl --request GET \
--url https://api.coderabbit.ai/v1/triage/changes/{id} \
--header 'x-coderabbitai-api-key: <api-key>'import requests
url = "https://api.coderabbit.ai/v1/triage/changes/{id}"
headers = {"x-coderabbitai-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-coderabbitai-api-key': '<api-key>'}};
fetch('https://api.coderabbit.ai/v1/triage/changes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coderabbit.ai/v1/triage/changes/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-coderabbitai-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coderabbit.ai/v1/triage/changes/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-coderabbitai-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coderabbit.ai/v1/triage/changes/{id}")
.header("x-coderabbitai-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coderabbit.ai/v1/triage/changes/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-coderabbitai-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"external_id": "<string>",
"provider": "github",
"provider_host": "<string>",
"url": "<string>",
"repository": {
"id": "<string>",
"owner": "<string>",
"name": "<string>"
},
"title": "<string>",
"state": "open",
"author": {
"id": "<string>",
"username": "<string>",
"name": "<string>"
},
"head_revision": "<string>",
"latest_commit_at": "2023-11-07T05:31:56Z",
"latest_reviewable_observed_at": "2023-11-07T05:31:56Z",
"opened_at": "2023-11-07T05:31:56Z",
"age_seconds": 4503599627370495,
"last_activity_at": "2023-11-07T05:31:56Z",
"last_human_activity_at": "2023-11-07T05:31:56Z",
"change_type": "bugfix",
"focus_state": "now",
"priority": {
"level": "p0",
"source": "calculated",
"reason": "<string>",
"reason_codes": [
"<string>"
],
"score": 50,
"confidence": 0.5,
"override": {
"level": "p0"
}
},
"close_candidate": {
"value": true,
"status": "available",
"observed_at": "2023-11-07T05:31:56Z",
"revision": "<string>",
"source": "manual",
"reason": "<string>"
},
"requires_attention": true,
"attention_reason_codes": [
"<string>"
],
"next_action": {
"kind": "merge",
"responsible_role": "author",
"responsible_users": [
{
"id": "<string>",
"username": "<string>",
"name": "<string>"
}
],
"reason_codes": [
"<string>"
],
"status": "available"
},
"review_status": {
"status": "available",
"value": "reviewed",
"observed_at": "2023-11-07T05:31:56Z",
"revision": "<string>"
},
"approval_status": {
"status": "available",
"value": "approved",
"observed_at": "2023-11-07T05:31:56Z",
"revision": "<string>"
},
"blast_radius": {
"status": "available",
"value": "low",
"observed_at": "2023-11-07T05:31:56Z",
"revision": "<string>"
},
"merge_risk": {
"status": "available",
"value": {
"level": "low",
"score": 0.5,
"basis": "direct",
"reason": "<string>"
},
"observed_at": "2023-11-07T05:31:56Z",
"revision": "<string>"
},
"security_risk": {
"status": "available",
"value": {
"level": "minimal",
"reason": "<string>"
},
"observed_at": "2023-11-07T05:31:56Z",
"revision": "<string>"
},
"review_effort": {
"status": "available",
"value": 0.5,
"observed_at": "2023-11-07T05:31:56Z",
"revision": "<string>"
},
"review_depth": {
"status": "available",
"value": "light",
"observed_at": "2023-11-07T05:31:56Z",
"revision": "<string>"
},
"participants": [
{
"user": {
"id": "<string>",
"username": "<string>",
"name": "<string>"
},
"roles": [
"author"
]
}
],
"blocked_change_count": {
"status": "available",
"value": 4503599627370495,
"observed_at": "2023-11-07T05:31:56Z",
"revision": "<string>"
},
"issue_severity": {
"status": "available",
"value": "low",
"observed_at": "2023-11-07T05:31:56Z",
"revision": "<string>"
},
"complexity": {
"status": "available",
"value": 3,
"observed_at": "2023-11-07T05:31:56Z",
"revision": "<string>"
},
"diff": {
"status": "available",
"value": {
"additions": 4503599627370495,
"deletions": 4503599627370495,
"base_revision": "<string>"
},
"observed_at": "2023-11-07T05:31:56Z",
"revision": "<string>"
},
"readiness": {
"is_draft": {
"status": "available",
"value": true,
"observed_at": "2023-11-07T05:31:56Z",
"revision": "<string>"
},
"checks": {
"status": "available",
"value": "none",
"observed_at": "2023-11-07T05:31:56Z",
"revision": "<string>"
},
"conflicts": {
"status": "available",
"value": "clean",
"observed_at": "2023-11-07T05:31:56Z",
"revision": "<string>"
},
"provider_eligibility": {
"status": "available",
"value": "allowed",
"observed_at": "2023-11-07T05:31:56Z",
"revision": "<string>"
}
},
"closure": {
"closeability": {
"status": "available",
"value": 0.5,
"observed_at": "2023-11-07T05:31:56Z",
"revision": "<string>"
},
"revival": {
"status": "available",
"value": 0.5,
"observed_at": "2023-11-07T05:31:56Z",
"revision": "<string>"
},
"supersession": {
"status": "available",
"value": {
"reason": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"replacements": [
{
"external_id": "<string>",
"url": "<string>"
}
]
},
"observed_at": "2023-11-07T05:31:56Z",
"revision": "<string>"
}
}
},
"meta": {
"request_id": "<string>",
"org_id": "<string>",
"generated_at": "2023-11-07T05:31:56Z",
"view": "mine"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "forbidden",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "head_changed",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "precondition_failed",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "payload_too_large",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "internal_error",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "unavailable",
"message": "<string>",
"retry_after": 4503599627370495
}
}Read an accessible Triage change
GET
/
v1
/
triage
/
changes
/
{id}
Read an accessible Triage change
curl --request GET \
--url https://api.coderabbit.ai/v1/triage/changes/{id} \
--header 'x-coderabbitai-api-key: <api-key>'import requests
url = "https://api.coderabbit.ai/v1/triage/changes/{id}"
headers = {"x-coderabbitai-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-coderabbitai-api-key': '<api-key>'}};
fetch('https://api.coderabbit.ai/v1/triage/changes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coderabbit.ai/v1/triage/changes/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-coderabbitai-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coderabbit.ai/v1/triage/changes/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-coderabbitai-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coderabbit.ai/v1/triage/changes/{id}")
.header("x-coderabbitai-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coderabbit.ai/v1/triage/changes/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-coderabbitai-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"external_id": "<string>",
"provider": "github",
"provider_host": "<string>",
"url": "<string>",
"repository": {
"id": "<string>",
"owner": "<string>",
"name": "<string>"
},
"title": "<string>",
"state": "open",
"author": {
"id": "<string>",
"username": "<string>",
"name": "<string>"
},
"head_revision": "<string>",
"latest_commit_at": "2023-11-07T05:31:56Z",
"latest_reviewable_observed_at": "2023-11-07T05:31:56Z",
"opened_at": "2023-11-07T05:31:56Z",
"age_seconds": 4503599627370495,
"last_activity_at": "2023-11-07T05:31:56Z",
"last_human_activity_at": "2023-11-07T05:31:56Z",
"change_type": "bugfix",
"focus_state": "now",
"priority": {
"level": "p0",
"source": "calculated",
"reason": "<string>",
"reason_codes": [
"<string>"
],
"score": 50,
"confidence": 0.5,
"override": {
"level": "p0"
}
},
"close_candidate": {
"value": true,
"status": "available",
"observed_at": "2023-11-07T05:31:56Z",
"revision": "<string>",
"source": "manual",
"reason": "<string>"
},
"requires_attention": true,
"attention_reason_codes": [
"<string>"
],
"next_action": {
"kind": "merge",
"responsible_role": "author",
"responsible_users": [
{
"id": "<string>",
"username": "<string>",
"name": "<string>"
}
],
"reason_codes": [
"<string>"
],
"status": "available"
},
"review_status": {
"status": "available",
"value": "reviewed",
"observed_at": "2023-11-07T05:31:56Z",
"revision": "<string>"
},
"approval_status": {
"status": "available",
"value": "approved",
"observed_at": "2023-11-07T05:31:56Z",
"revision": "<string>"
},
"blast_radius": {
"status": "available",
"value": "low",
"observed_at": "2023-11-07T05:31:56Z",
"revision": "<string>"
},
"merge_risk": {
"status": "available",
"value": {
"level": "low",
"score": 0.5,
"basis": "direct",
"reason": "<string>"
},
"observed_at": "2023-11-07T05:31:56Z",
"revision": "<string>"
},
"security_risk": {
"status": "available",
"value": {
"level": "minimal",
"reason": "<string>"
},
"observed_at": "2023-11-07T05:31:56Z",
"revision": "<string>"
},
"review_effort": {
"status": "available",
"value": 0.5,
"observed_at": "2023-11-07T05:31:56Z",
"revision": "<string>"
},
"review_depth": {
"status": "available",
"value": "light",
"observed_at": "2023-11-07T05:31:56Z",
"revision": "<string>"
},
"participants": [
{
"user": {
"id": "<string>",
"username": "<string>",
"name": "<string>"
},
"roles": [
"author"
]
}
],
"blocked_change_count": {
"status": "available",
"value": 4503599627370495,
"observed_at": "2023-11-07T05:31:56Z",
"revision": "<string>"
},
"issue_severity": {
"status": "available",
"value": "low",
"observed_at": "2023-11-07T05:31:56Z",
"revision": "<string>"
},
"complexity": {
"status": "available",
"value": 3,
"observed_at": "2023-11-07T05:31:56Z",
"revision": "<string>"
},
"diff": {
"status": "available",
"value": {
"additions": 4503599627370495,
"deletions": 4503599627370495,
"base_revision": "<string>"
},
"observed_at": "2023-11-07T05:31:56Z",
"revision": "<string>"
},
"readiness": {
"is_draft": {
"status": "available",
"value": true,
"observed_at": "2023-11-07T05:31:56Z",
"revision": "<string>"
},
"checks": {
"status": "available",
"value": "none",
"observed_at": "2023-11-07T05:31:56Z",
"revision": "<string>"
},
"conflicts": {
"status": "available",
"value": "clean",
"observed_at": "2023-11-07T05:31:56Z",
"revision": "<string>"
},
"provider_eligibility": {
"status": "available",
"value": "allowed",
"observed_at": "2023-11-07T05:31:56Z",
"revision": "<string>"
}
},
"closure": {
"closeability": {
"status": "available",
"value": 0.5,
"observed_at": "2023-11-07T05:31:56Z",
"revision": "<string>"
},
"revival": {
"status": "available",
"value": 0.5,
"observed_at": "2023-11-07T05:31:56Z",
"revision": "<string>"
},
"supersession": {
"status": "available",
"value": {
"reason": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"replacements": [
{
"external_id": "<string>",
"url": "<string>"
}
]
},
"observed_at": "2023-11-07T05:31:56Z",
"revision": "<string>"
}
}
},
"meta": {
"request_id": "<string>",
"org_id": "<string>",
"generated_at": "2023-11-07T05:31:56Z",
"view": "mine"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "forbidden",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "head_changed",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "precondition_failed",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "payload_too_large",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "internal_error",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "unavailable",
"message": "<string>",
"retry_after": 4503599627370495
}
}Authorizations
API key for authentication. You can create an API key from the CodeRabbit dashboard.
Path Parameters
Required string length:
1 - 255Pattern:
^[^,\s/\p{Cc}]+$Query Parameters
Required string length:
1 - 255Pattern:
^[^,\s/\p{Cc}]+$Was this page helpful?